
TYPO3.Flow - Bug # 9358

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-08-18 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: isEmpty() in queries works only when used with logicalNot()
Description

When using the isEmpty() constraint against empty collections, this works only when combined with logicalNot(), due to a logical bug
in the SQL used underneath.

Associated revisions
Revision d5f6c1cf - 2010-08-23 16:43 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): isEmpty() now works correctly in queries, fixes #9358.

Change-Id: I77ff011af6baf379d4316b0be870d3f24e936a0b

Revision 2b0658e9 - 2010-08-23 16:44 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): isEmpty() matches correctly on NULL now, equality checks against NULL now work correctly on collections, relates
to #9358, fixes #9184.

Change-Id: I0a25251db22e711ab4074c438157ebe1545b2fec

History
#1 - 2010-08-18 11:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4999.
